src/base/cs_preprocessor_data.c File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions | Variables
cs_preprocessor_data.c File Reference
`#include "cs_defs.h"`
`#include <assert.h>`
`#include <math.h>`
`#include <stdarg.h>`
`#include <stdlib.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include <mpi.h>`
`#include "bft_error.h"`
`#include "bft_mem.h"`
`#include "bft_printf.h"`
`#include "fvm_periodicity.h"`
`#include "cs_base.h"`
`#include "cs_block_dist.h"`
`#include "cs_file.h"`
`#include "cs_interface.h"`
`#include "cs_mesh.h"`
`#include "cs_mesh_from_builder.h"`
`#include "cs_parall.h"`
`#include "cs_partition.h"`
`#include "cs_io.h"`
`#include "cs_preprocessor_data.h"`
Include dependency graph for cs_preprocessor_data.c:

## Functions
void | ledevi (cs_int_t *iperio, cs_int_t *iperot)
void | cs_preprocessor_data_add_file (const char *file_name, size_t n_group_renames, const char **group_rename, const double transf_matrix[3][4])
int | cs_preprocessor_check_perio (void)
void | cs_preprocessor_data_read_headers (cs_mesh_t *mesh, cs_mesh_builder_t *mesh_builder)
void | cs_preprocessor_data_read_mesh (cs_mesh_t *mesh, cs_mesh_builder_t *mesh_builder)

## Variables
int | _n_mesh_files = 0
int | _n_max_mesh_files = 0
_mesh_file_info_t * | _mesh_file_info = NULL

## Function Documentation

int cs_preprocessor_check_perio | ( | void |  | ) |

void cs_preprocessor_data_add_file | ( | const char * | file_name,
|  | size_t | n_group_renames,
|  | const char ** | group_rename,
|  | const double | transf_matrix[3][4]
| ) |  |

void cs_preprocessor_data_read_headers | ( | cs_mesh_t * | mesh,
|  | cs_mesh_builder_t * | mesh_builder
| ) |  |

void cs_preprocessor_data_read_mesh | ( | cs_mesh_t * | mesh,
|  | cs_mesh_builder_t * | mesh_builder
| ) |  |

void ledevi | ( | cs_int_t * | iperio,
|  | cs_int_t * | iperot
| ) |  |

## Variable Documentation

_mesh_file_info_t* _mesh_file_info = NULL

int _n_max_mesh_files = 0

int _n_mesh_files = 0